using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using wispro.sp.entity;

namespace wispro.sp.datamap
{
    public class PerformanceItemMap : IEntityTypeConfiguration<PerformanceItem>
    {
        public void Configure(EntityTypeBuilder<PerformanceItem> builder)
        {
            builder.HasKey(o => o.Id);
            builder.HasOne(o => o.PreOAStaff).WithMany().HasForeignKey("PreOAStaffId");
            //builder.HasMany(o => o.DoPersons).WithOne(t => t.Item).IsRequired();
            
        }

    }
}
